Page MenuHomePhabricator

Update mediawiki.org templates to link to Diffusion, not gitblit
Closed, ResolvedPublic

Description

@Nemo_bis fixed {T101358: Update {{git file}} to link to diffusion} and created Module:Callsign with the project mapping \o/. There are many other links to git.wikimedia.org on mw.org.

Here are some templates I've found, check these off as they're fixed:

  • the Template:Gitblit template should be made a redirect to a new {{git project}}. Perhaps this could just invoke {{git file |project=PARAM_HERE |action=summary .

On extension pages (sample),

Other pages

Related Objects

Event Timeline

Spage updated the task description. (Show Details)
Spage raised the priority of this task from to Needs Triage.
Spage added a subscriber: Spage.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 12 2015, 8:02 PM
greg awarded a token.Aug 12 2015, 8:50 PM
greg added a subscriber: greg.
Spage updated the task description. (Show Details)Aug 13 2015, 4:57 AM
Spage set Security to None.
Spage added a subscriber: Nemo_bis.
Kghbln added a subscriber: Kghbln.
hashar added a subscriber: hashar.Aug 24 2015, 1:03 PM

For what it is worth, I reopened T101358 on the basis that https://www.mediawiki.org/wiki/Module:Callsigns is manually maintained and is going to add a lot of overhead in our already messy systems.

The module is certainly ugly; the solution is T106130. The actual overhead I can't measure, but it's mostly about running P726 every now and then and pasting the results into the wiki page. (Once the project names in Diffusion are fixed to fix their hyphen vs. slash inconsistencies and others, which must be done anyway.)

Spage updated the task description. (Show Details)Aug 31 2015, 8:15 AM

There are extensions that are on Wikimedia's git, but have no callsign. What do we do with them?

mediawiki/extensions/ImportUsers
in gitblit, but isn't found on phabricator

There are extensions that are on Wikimedia's git, but have no callsign. What do we do with them?

That's T616.

I've reverted Template:WikimediaDownload back to using git.wikimedia.org since some repos are not in Phabricator yet and/or not (correctly) listed in the callsign mapping module.

Per https://www.mediawiki.org/wiki/Template_talk:WikimediaDownload, at least Extension:DateDiff, and Extension:ImportUsers had broken urls.

hashar added a comment.Sep 7 2015, 8:42 PM

Summary:

The example is template {{git file}} which @Nemo_bis tweaked with a callsign/mapping that is manually maintained as a wiki template. I thus reopened T101358: Update {{git file}} to link to diffusion which in turns is blocked on T110607: redirect gerrit repo paths to diffusion callsigns which is about having Phabricator to handle the redirection. That will ease maintenance compared to the call sign mediawiki.org template.

I think this task should be stalled until Phabricator is able to handle the redirection.

I think this may also be blocked by mw.org extension pages' use of gitblit's "download a tarfile" functionality (T111887: Diffusion replacement for tarfile download from git.wikimedia.org).

Paladox added a subscriber: Paladox.Dec 2 2015, 5:45 PM

It seems to be done now. But echo is not working. Going to this link https://phabricator.wikimedia.org/r/project/mediawiki/extensions/Echo responds with this error message

404 Not Found

Do not dwell in the past, do not dream of the future, concentrate the mind on the present moment.

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptDec 2 2015, 5:45 PM
greg added a comment.Dec 2 2015, 6:07 PM

It seems to be done now. But echo is not working. Going to this link https://phabricator.wikimedia.org/r/project/mediawiki/extensions/Echo responds with this error message

it works now

greg moved this task from To Triage to In Progress on the Gitblit-Deprecate board.Dec 2 2015, 6:15 PM
greg triaged this task as Normal priority.

it works now

That's true but one needs to log into phabricator which makes this link pretty useless to heaps of people. I do not know if this is covered by another issue I am not aware of but I figure that I should mention it somewhere.

<s>In comparison to gitblit the Diffusion GUI is pretty bad but that's another story which is obviously of lesser concern and probably nothing wmf can change anyway.</s> So forget about this note.

it works now

That's true but one needs to log into phabricator which makes this link pretty useless to heaps of people

I don't need to log in to visit that link...

I don't need to log in to visit that link...

Probably I confused something here. That I meant to mention: Every time I click on "repo summary" on extensions pages I am being asked to log into phabricator to get something shown. I figured that the link behind "repo summary" is like the mentioned one. I just tried clicking "repo summary on e.g. the TitleKey extension which links to https://phabricator.wikimedia.org/r/project/mediawiki/extensions/TitleKey/ What I get is the login screen for phabricator. The extensions info boxes are useless that way if a repo summery should be offered. It is this way for a couple of weeks now.

Ah, so when you go to the redirect page itself, you get a login prompt, but browsing to the target directly is fine...

but browsing to the target directly is fine...

No, I need to log in

but browsing to the target directly is fine...

No, I need to log in

https://phabricator.wikimedia.org/diffusion/ETIK/ (the redirect target of https://phabricator.wikimedia.org/r/project/mediawiki/extensions/TitleKey/ ) opens correctly for me in an incognito window. But yes, the redirects are almost useless if they require login, because then we can't link them.

OMG, that's what is meant with redirect target. Who is going to expect such targets or even trying to link directly to them?. I think I am now starting to understand the extent to disaster we a currently trying to overcome here. I was always wondering what the root of the issue is. Should have read more about it. Sorry about this. :(

Why not directly link to GitHub? Diffusion seems to be a regression and not fit for the job.

Why not directly link to GitHub? Diffusion seems to be a regression and not fit for the job.

GitHub mainly just hosts simple mirrors, it's not authoritative. Also, it's a third party site.

Also, it's a third party site.

Guess you have a point here. :) Keeping fingers crossed for an in-house solution some day.

I've created T122674: Make all /r/project/* paths in phabricator accessible without login for this issue, I think this should be possible to fix without too much hassle.

A different option would be to make Template:WikimediaDownload use the Callsigns module somewhat to infer the correct URL.

Still, a translation of git paths to callsigns with HTTP redirect, without login, would be desirable.

mmodell added a subscriber: mmodell.Jan 2 2016, 3:39 AM

The redirects no longer require a phabricator session/login. The fix has been deployed to production, so I think we can point the links back to phabricator again.

demon moved this task from In Progress to Backlog on the Gitblit-Deprecate board.Jan 13 2016, 10:04 PM
greg rescinded a token.Mar 4 2016, 8:39 PM
Krinkle removed a subscriber: Krinkle.Mar 5 2016, 12:59 AM

Special:LinkSearch seems to indicate that the description is outdated.

Paladox added a comment.EditedMay 15 2016, 1:48 PM

@demon I'm not sure if git.wikimedia.org will be deomissioned soon but should we start doing this in mediawiki, switching all links from git.wikimedia.org to phabricator.wikimedia.org/diffusion/*.

Paladox added a subscriber: demon.May 15 2016, 1:49 PM

Ive updated https://www.mediawiki.org/wiki/Template:WikimediaDownload to use the diffusion links except from one link that links to the log since there is no redirect for that in phabricator yet but is being added in https://phabricator.wikimedia.org/D238

Ive created https://www.mediawiki.org/wiki/Template:WikimediaDownloadOld for repos that still require to use gitblit for now.

demon moved this task from Backlog to In Progress on the Gitblit-Deprecate board.May 31 2016, 3:45 PM
Paladox updated the task description. (Show Details)May 31 2016, 4:13 PM
Paladox updated the task description. (Show Details)Jun 3 2016, 2:09 PM
Paladox updated the task description. (Show Details)EditedJun 3 2016, 2:31 PM

@demon or @Aklapper can we remove this something is invoking Template:Gitblit bit since I created this template Template:Diffusion and ive also updated Template:Gitblit links to diffusion please.

Paladox updated the task description. (Show Details)Jun 3 2016, 2:35 PM

I'm going to mark

subpage templates on Developers/Maintainers produce Gerrit links to git.wikimedia.org

as done please untick it if it hasent. I looked throught he page but didn't spot any git.wikimedia.org links but I can be wrong.

Paladox updated the task description. (Show Details)Jun 3 2016, 2:40 PM
Paladox updated the task description. (Show Details)Jun 3 2016, 4:30 PM
Paladox closed this task as Resolved.
Paladox claimed this task.
greg moved this task from In Progress to Done on the Gitblit-Deprecate board.Jun 9 2016, 6:46 PM